%define debug_package %{nil}

#
# spec file for package python-binplist
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define name binplist
%define version 0.1.5
%define release 1%{?dist}

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Apache-2.0
Summary:	Binary property list (plist) parser module written in python
Url:		https://github.com/google/binplist
Group:		Development/Libraries/Python
Source:		https://binplist.googlecode.com/files/binplist-0.1.5.tar.gz
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	python-%{name}

%description
binplist is a binary property list (plist) parser module written in python.

%package -n python-%{name}
Summary:	Python libraries for binplist
Version:	%{version}
Release:	%{release}
Group:		Development/Libraries/Python
Provides:	python-%{name}
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python2-rpm-macros
BuildRoot:	%{_tmppath}/python-%{name}-%{version}-build

%description -n python-%{name}
Python-binplist is the python libraries for binplist.

%prep
%setup 

%build
python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/plist.py %{buildroot}%{_bindir}/%{name}

%post
/bin/rm -f /usr/bin/binplist.pyc /usr/bin/binplist.pyo
/bin/rm -f /usr/bin/plist.pyc /usr/bin/plist.pyo

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*

%files -n python-%{name}
%defattr(-,root,root)
%doc COPYING
%{python2_sitelib}/*

%changelog
* Thu Jul 30 2015 Lawrence R. Rogers <lrr@cert.org> 0.1.5-1
* Release 0.1.5-1
	Version 0.1.5.

* Wed Jun 25 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.4-2
	This version removes some /usr/bin/binplist.py[co] and /usr/bin/plist.py[co] that appear when run as root.

* Thu Jun 19 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.4-1
	This version splits the executable (binplist) from the python support (python-binplist)

* Mon Mar 17 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.4-0
        Initial version

